Arke
ReferenceAPI Reference

Auth

Authentication and registration

Register new user

POST
/auth/register
AuthorizationBearer <token>

Supabase JWT token. Use Authorization: Bearer <jwt>. Only for JWT tokens from Supabase auth - do NOT use Bearer with API keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.arke.institute/auth/register"
{
  "created": true,
  "user": {
    "id": "01J1SHMAE10000000000000000",
    "cid": "bafyreibug443cnd4endcwinwttw3c3dzmcl2ikht64xzn5qg56bix3usfy",
    "properties": {
      "label": "Ishmael",
      "name": "Ishmael"
    },
    "ver": 1
  }
}
{
  "created": true,
  "user": {
    "id": "01J1SHMAE10000000000000000",
    "cid": "bafyreibug443cnd4endcwinwttw3c3dzmcl2ikht64xzn5qg56bix3usfy",
    "properties": {
      "label": "Ishmael",
      "name": "Ishmael"
    },
    "ver": 1
  }
}
{
  "error": "Unauthorized: Missing or invalid authentication token"
}
{
  "error": "Forbidden: You do not have permission to perform this action"
}
{
  "error": "Internal server error"
}

Get current identity

GET
/auth/whoami
AuthorizationBearer <token>

Supabase JWT token. Use Authorization: Bearer <jwt>. Only for JWT tokens from Supabase auth - do NOT use Bearer with API keys.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://api.arke.institute/auth/whoami"
{
  "type": "user",
  "id": "01J1SHMAE10000000000000000",
  "auth_method": "jwt",
  "email": "ishmael@pequod.ship",
  "name": "Ishmael",
  "supabase_user_id": "f7c77824-9c59-4c29-b7f0-8beeaed6bc39",
  "key_prefix": "uk_abc1",
  "key_expires_at": "2019-08-24T14:15:22Z"
}
{
  "error": "Unauthorized: Missing or invalid authentication token"
}
{
  "error": "Internal server error"
}